Subject: Re: [PATCH v6 0/9] ftrace with regs + live patching for ppc64 LE (ABI v2)

From: Balbir Singh <[email-masked]>
Date: Wed, 27 Jan 2016 21:51:12 +1100

On Mon, 25 Jan 2016 16:38:48 +0100
Torsten Duwe <[email-masked]> wrote:

> Changes since v5:
>   * extra "std r0,LRSAVE(r1)" for gcc-6
>     This makes the code compiler-agnostic.
>   * Follow Petr Mladek's suggestion to avoid
>     redefinition of HAVE_LIVEPATCH

I looked at the patches - well mostly patches 1 and 2, some quick questions

1. I know -mprofile-kernel is a big optimization win, do we need it or can
we incrementally add it?
2. Some of the hardcoded checks for opcode are hard to review, I know they've
been there in similar forms for a while. May be as an iterative step we should
give the numbers some meaning and use proper helpers for it.

I am going to give the patches a spin

Balbir Singh.